buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Boisvert (JIRA)" <j...@apache.org>
Subject [jira] Created: (BUILDR-384) Buildr fails with rubygems 1.3.6
Date Sat, 27 Feb 2010 21:53:05 GMT
Buildr fails with rubygems 1.3.6
--------------------------------

                 Key: BUILDR-384
                 URL: https://issues.apache.org/jira/browse/BUILDR-384
             Project: Buildr
          Issue Type: Bug
          Components: Core features
    Affects Versions: 1.3.5, 1.3.4
            Reporter: Alex Boisvert
            Assignee: Alex Boisvert
             Fix For: 1.4


Buildr fails with rubygems 1.3.6 installed,

boisvert@smudge:~/tmp/buildr$ buildr
(in /home/boisvert/tmp/buildr, development)
Buildr aborted!
undefined method `version=' for #<Gem::Version "0">
/home/boisvert/tmp/buildr/Buildfile:3
(See full trace by running task with --trace)

or here's another failure variation,

boisvert@smudge:~/tmp/buildr-scala$ ~/svn/buildr-clean/_buildr 
/home/boisvert/svn/buildr-clean/_buildr:24:Warning: Gem::Dependency#version_requirements is
deprecated and will be removed on or after August 2010.  Use #requirement
/usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2504:in `const_missing': uninitialized
constant Gem::Requirement::OP_RE (NameError)
	from /home/boisvert/svn/buildr-clean/lib/buildr/packaging/version_requirement.rb:24
	from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /home/boisvert/svn/buildr-clean/lib/buildr/packaging/artifact_namespace.rb:17
	from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /home/boisvert/svn/buildr-clean/lib/buildr/packaging/artifact.rb:19
	from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /home/boisvert/svn/buildr-clean/lib/buildr/packaging.rb:17
	from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /home/boisvert/svn/buildr-clean/lib/buildr.rb:21
	from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /home/boisvert/svn/buildr-clean/_buildr:28


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message